QMAKE_CXXFLAGS_WARN_ON += -Wno-unused-parameter
QT +=   xml
TRANSLATIONS = qlabels_ru_RU.ts
INCLUDEPATH += .

TEMPLATE =   app
TARGET =   qlabels
RESOURCES +=   qlabels.qrc

qlabels.path = $$(INSTALLPATH)
target.path =   /usr/bin/

;CONFIG +=   qt warn_on
HEADERS +=   canvas.h elements.h  itabs.h newlabel.h printpreview.h \
  lib/papers.h lib/templates.h lib/tools.h \
  elements/textitem.h elements/pixmapitem.h
SOURCES +=   canvas.cpp  main.cpp \
  elements.cpp  itabs.cpp   newlabel.cpp printpreview.cpp \
  lib/papers.cpp lib/templates.cpp lib/tools.cpp \
  elements/textitem.cpp elements/pixmapitem.cpp
OBJECTS_DIR =   build/
MOC_DIR =   build/
RCC_DIR =   build/
UI_DIR =   build/
FORMS +=   ui/newlabel.ui ui/fstyletab.ui ui/postab.ui ui/printpreview.ui
INSTALLS += target i18n templates

INSTALLPATH = $$(INSTALLPATH)
!isEmpty ( INSTALLPATH ) {
	target.path = $$INSTALLPATH
}
isEmpty(DATA_INSTALL):DATA_INSTALL = /usr/share

sources.files +=   $$SOURCES   $$HEADERS   $$RESOURCES   $$FORMS   qlabels.pro   *.png   *.xpm
sources.path +=   qlabels
i18n.files = qlabels_ru_RU.qm
i18n.path = $${DATA_INSTALL}/qlabels/i18n
templates.files = templates/*.xml
templates.path = $${DATA_INSTALL}/qlabels/templates/